summaryrefslogtreecommitdiff
path: root/makeinfo/tests/accentenc
diff options
context:
space:
mode:
Diffstat (limited to 'makeinfo/tests/accentenc')
-rwxr-xr-xmakeinfo/tests/accentenc24
1 files changed, 24 insertions, 0 deletions
diff --git a/makeinfo/tests/accentenc b/makeinfo/tests/accentenc
new file mode 100755
index 0000000..be842c3
--- /dev/null
+++ b/makeinfo/tests/accentenc
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Test encoded accent info output.
+
+unset TEXINFO_OUTPUT
+: ${srcdir=.}
+input=`basename $0`.txi
+output=`basename $0`.info
+
+# we expect two invalid encoded characters:
+# accent-text.txi:45: warning: invalid encoded character `#156'.
+# accent-text.txi:45: warning: invalid encoded character `#140'.
+# These are oe and OE, and they are not supported in Latin 1.
+../makeinfo --enable-encoding --no-split -I$srcdir $srcdir/$input 2>/dev/null
+exit_status=$?
+if test $exit_status = 0; then
+ grep 'ì' $output >/dev/null \
+ && grep 'ï' $output >/dev/null \
+ && grep '/L' $output >/dev/null
+ exit_status=$?
+fi
+
+rm -f $output
+
+exit $exit_status